Subject: Re: [PATCH] tulip: de2104x, fix init. sections

From: Jeff Garzik <[email-masked]>
Date: Wed, 02 Mar 2005 02:30:17 -0500

Christoph Hellwig wrote:
> On Wed, Mar 02, 2005 at 01:09:54AM -0500, Jeff Garzik wrote:
> 
>>Randy.Dunlap wrote:
>>
>>>tulip/de2104x: some __devinit functions were calling __init
>>> functions, made the latter __devinit also;
>>
>>Should go the other way:  all the stuff in de2104x should be __init, not 
>>__devinit.
>>
>>Nobody ever hotplugs a de2104x.
> 
> 
> How comes that you want to dictate what cards I put into my hotplug
> PCI slots?

When someone proves this is possible, I will accept the code change.  I 
doubt this will ever happen, for two reasons:

1) Hotplug PCI slots are highly likely to choke on the 2104x's very 
early and slightly weird PCI hardware implementation.

2) It's an ancient card and nobody will ever bother trying to hotplug it.

	Jeff